Package alt.javax.mail

# Class MessageImpl

java.lang.Object
alt.javax.mail.MessageImpl

All Implemented Interfaces:
  `Message`

Direct Known Subclasses:
  `MimeMessageImpl`

public class MessageImpl extends Object implements Message

## Constructor Summary

Constructors
Constructor
Description
`MessageImpl(javax.mail.Message message)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`addFrom(Address[] addresses)`
`final void`
`addHeader(String s, String s1)`
`final void`
`addRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
`final Enumeration`
`getAllHeaders()`
`final Object`
`getContent()`
`final String`
`getContentType()`
`final javax.activation.DataHandler`
`getDataHandler()`
`final String`
`getDescription()`
`final String`
`getDisposition()`
`final String`
`getFileName()`
`final Flags`
`getFlags()`
`final Address[]`
`getFrom()`
`final String[]`
`getHeader(String s)`
`final InputStream`
`getInputStream()`
`final int`
`getLineCount()`
`final Enumeration`
`getMatchingHeaders(String[] strings)`
`final Enumeration`
`getNonMatchingHeaders(String[] strings)`
`javax.mail.Message`
`getRealMessage()`
`final Date`
`getReceivedDate()`
`final Address[]`
`getRecipients(javax.mail.Message.RecipientType type)`
`final Date`
`getSentDate()`
`final int`
`getSize()`
`final String`
`getSubject()`
`final boolean`
`isMimeType(String s)`
`final void`
`removeHeader(String s)`
`final Message`
`reply(boolean b)`
`final void`
`saveChanges()`
`final void`
`setContent(Object o, String s)`
`final void`
`setContent(Multipart multipart)`
`final void`
`setDataHandler(javax.activation.DataHandler handler)`
`final void`
`setDescription(String s)`
`final void`
`setDisposition(String s)`
`final void`
`setFileName(String s)`
`final void`
`setFlags(Flags flags, boolean b)`
`final void`
`setFrom()`
`final void`
`setFrom(Address address)`
`final void`
`setHeader(String s, String s1)`
`final void`
`setRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
`final void`
`setSentDate(Date date)`
`final void`
`setSubject(String s)`
`final void`
`setText(String s)`
`final void`
`writeTo(OutputStream stream)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageImpl

public MessageImpl(javax.mail.Message message)

## Method Details

### getRealMessage

public javax.mail.Message getRealMessage()

Specified by:
  `getRealMessage` in interface `Message`

### getFrom

public final Address[] getFrom() throws MessagingException

Specified by:
  `getFrom` in interface `Message`
Throws:
  `MessagingException`

### setFrom

public final void setFrom() throws MessagingException

Specified by:
  `setFrom` in interface `Message`
Throws:
  `MessagingException`

### setFrom

public final void setFrom(Address address) throws MessagingException

Specified by:
  `setFrom` in interface `Message`
Throws:
  `MessagingException`

### addFrom

public final void addFrom(Address[] addresses) throws MessagingException

Specified by:
  `addFrom` in interface `Message`
Throws:
  `MessagingException`

### getRecipients

public final Address[] getRecipients(javax.mail.Message.RecipientType type) throws MessagingException

Specified by:
  `getRecipients` in interface `Message`
Throws:
  `MessagingException`

### setRecipients

public final void setRecipients(javax.mail.Message.RecipientType type, Address[] addresses) throws MessagingException

Specified by:
  `setRecipients` in interface `Message`
Throws:
  `MessagingException`

### addRecipients

public final void addRecipients(javax.mail.Message.RecipientType type, Address[] addresses) throws MessagingException

Specified by:
  `addRecipients` in interface `Message`
Throws:
  `MessagingException`

### getSubject

public final String getSubject() throws MessagingException

Specified by:
  `getSubject` in interface `Message`
Throws:
  `MessagingException`

### setSubject

public final void setSubject(String s) throws MessagingException

Specified by:
  `setSubject` in interface `Message`
Throws:
  `MessagingException`

### getSentDate

public final Date getSentDate() throws MessagingException

Specified by:
  `getSentDate` in interface `Message`
Throws:
  `MessagingException`

### setSentDate

public final void setSentDate(Date date) throws MessagingException

Specified by:
  `setSentDate` in interface `Message`
Throws:
  `MessagingException`

### getReceivedDate

public final Date getReceivedDate() throws MessagingException

Specified by:
  `getReceivedDate` in interface `Message`
Throws:
  `MessagingException`

### getFlags

public final Flags getFlags() throws MessagingException

Specified by:
  `getFlags` in interface `Message`
Throws:
  `MessagingException`

### setFlags

public final void setFlags(Flags flags, boolean b) throws MessagingException

Specified by:
  `setFlags` in interface `Message`
Throws:
  `MessagingException`

### reply

public final Message reply(boolean b) throws MessagingException

Specified by:
  `reply` in interface `Message`
Throws:
  `MessagingException`

### saveChanges

public final void saveChanges() throws MessagingException

Specified by:
  `saveChanges` in interface `Message`
Throws:
  `MessagingException`

### getSize

public final int getSize() throws MessagingException

Specified by:
  `getSize` in interface `Message`
Throws:
  `MessagingException`

### getLineCount

public final int getLineCount() throws MessagingException

Specified by:
  `getLineCount` in interface `Message`
Throws:
  `MessagingException`

### getContentType

public final String getContentType() throws MessagingException

Specified by:
  `getContentType` in interface `Message`
Throws:
  `MessagingException`

### isMimeType

public final boolean isMimeType(String s) throws MessagingException

Specified by:
  `isMimeType` in interface `Message`
Throws:
  `MessagingException`

### getDisposition

public final String getDisposition() throws MessagingException

Specified by:
  `getDisposition` in interface `Message`
Throws:
  `MessagingException`

### setDisposition

public final void setDisposition(String s) throws MessagingException

Specified by:
  `setDisposition` in interface `Message`
Throws:
  `MessagingException`

### getDescription

public final String getDescription() throws MessagingException

Specified by:
  `getDescription` in interface `Message`
Throws:
  `MessagingException`

### setDescription

public final void setDescription(String s) throws MessagingException

Specified by:
  `setDescription` in interface `Message`
Throws:
  `MessagingException`

### getFileName

public final String getFileName() throws MessagingException

Specified by:
  `getFileName` in interface `Message`
Throws:
  `MessagingException`

### setFileName

public final void setFileName(String s) throws MessagingException

Specified by:
  `setFileName` in interface `Message`
Throws:
  `MessagingException`

### getInputStream

public final InputStream getInputStream() throws IOException, MessagingException

Specified by:
  `getInputStream` in interface `Message`
Throws:
  `IOException`
  `MessagingException`

### getDataHandler

public final javax.activation.DataHandler getDataHandler() throws MessagingException

Specified by:
  `getDataHandler` in interface `Message`
Throws:
  `MessagingException`

### getContent

public final Object getContent() throws IOException, MessagingException

Specified by:
  `getContent` in interface `Message`
Throws:
  `IOException`
  `MessagingException`

### setDataHandler

public final void setDataHandler(javax.activation.DataHandler handler) throws MessagingException

Specified by:
  `setDataHandler` in interface `Message`
Throws:
  `MessagingException`

### setContent

public final void setContent(Object o, String s) throws MessagingException

Specified by:
  `setContent` in interface `Message`
Throws:
  `MessagingException`

### setText

public final void setText(String s) throws MessagingException

Specified by:
  `setText` in interface `Message`
Throws:
  `MessagingException`

### setContent

public final void setContent(Multipart multipart) throws MessagingException

Specified by:
  `setContent` in interface `Message`
Throws:
  `MessagingException`

### writeTo

public final void writeTo(OutputStream stream) throws IOException, MessagingException

Specified by:
  `writeTo` in interface `Message`
Throws:
  `IOException`
  `MessagingException`

### getHeader

public final String[] getHeader(String s) throws MessagingException

Specified by:
  `getHeader` in interface `Message`
Throws:
  `MessagingException`

### setHeader

public final void setHeader(String s, String s1) throws MessagingException

Specified by:
  `setHeader` in interface `Message`
Throws:
  `MessagingException`

### addHeader

public final void addHeader(String s, String s1) throws MessagingException

Specified by:
  `addHeader` in interface `Message`
Throws:
  `MessagingException`

### removeHeader

public final void removeHeader(String s) throws MessagingException

Specified by:
  `removeHeader` in interface `Message`
Throws:
  `MessagingException`

### getAllHeaders

public final Enumeration getAllHeaders() throws MessagingException

Specified by:
  `getAllHeaders` in interface `Message`
Throws:
  `MessagingException`

### getMatchingHeaders

public final Enumeration getMatchingHeaders(String[] strings) throws MessagingException

Specified by:
  `getMatchingHeaders` in interface `Message`
Throws:
  `MessagingException`

### getNonMatchingHeaders

public final Enumeration getNonMatchingHeaders(String[] strings) throws MessagingException

Specified by:
  `getNonMatchingHeaders` in interface `Message`
Throws:
  `MessagingException`